#include <stdio.h>

int main() {
    int n, numero, somma = 0, minimo, massimo;
    float media;

    printf("Inserisci il numero di numeri interi: ");
    scanf("%d", &n);

    // Leggi il primo numero per inizializzare minimo e massimo
    printf("Inserisci il primo numero: ");
    scanf("%d", &numero);
    somma = minimo = massimo = numero;

    // Leggi gli altri numeri e aggiorna somma, minimo e massimo
    for (int i = 1; i < n; i++) {
        printf("Inserisci il prossimo numero: ");
        scanf("%d", &numero);
        somma += numero;
        if (numero < minimo)
            minimo = numero;
        if (numero > massimo)
            massimo = numero;
    }

    // Calcola la media
    media = (float)somma / n;

    // Stampa i risultati
    printf("Somma: %d\n", somma);
    printf("Minimo: %d\n", minimo);
    printf("Massimo: %d\n", massimo);
    printf("Media: %.2f\n", media);

    return 0;
}

